import React from "react";
import ClickToCopy from "./click-to-copy.component";

const PreRound = ({ gameId, playerName, onStart }) => (
  <div style={{
    display: "flex",
    flexDirection: "column",
    justifyContent: "center",
    alignItems: "center",
  }}>
    <span>Playing as {playerName}</span>
    <span>Game Code: <div style={{display: "inline-flex"}}><ClickToCopy text={gameId} /></div></span>
    <button onClick={onStart}>Start Game</button>
  </div>
);

export default PreRound;
